Bug 740778 - Review Request: drupal7-features - Provides feature management for Drupal
Summary: Review Request: drupal7-features - Provides feature management for Drupal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 10:17 UTC by Peter Borsa
Modified: 2011-10-27 19:04 UTC (History)
3 users (show)

Fixed In Version: drupal7-features-1.0-0.1.beta4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-04 20:10:08 UTC
gwync: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Peter Borsa 2011-09-23 10:17:45 UTC
Spec URL: http://asrob.fedorapeople.org/SOURCES/drupal7-features.spec
SRPM URL: http://asrob.fedorapeople.org/SOURCES/drupal7-features-1.0-0.1.beta4.fc15.src.rpm
Description: The features module enables the capture
and management of features in Drupal.
A feature is a collection of Drupal entities
which taken together satisfy a certain use-case.

Features provides a UI and API for taking different site building components
from modules with exportables and
bundling them together in a single feature module.
A feature module is like any other Drupal module except
that it declares its components (e.g. views, contexts, CCK fields, etc.)
in its .info file so that it can be checked,
updated, or reverted programmatically.


rpmlint output:

$ rpmlint drupal7-features.spec ../SRPMS/drupal7-features-1.0-0.1.beta4.fc15.src.rpm ../RPMS/noarch/drupal7-features-1.0-0.1.beta4.fc15.noarch.rpm 
drupal7-features.src: W: spelling-error %description -l en_US exportables -> exportable, ex portables, ex-portables
drupal7-features.src: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
drupal7-features.noarch: W: spelling-error %description -l en_US exportables -> exportable, ex portables, ex-portables
drupal7-features.noarch: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=3371974
Watching tasks (this may be safely interrupted)...
3371974 build (dist-f15, drupal7-features-1.0-0.1.beta4.fc15.src.rpm): open (ppc08.phx2.fedoraproject.org)
  3371975 buildArch (drupal7-features-1.0-0.1.beta4.fc15.src.rpm, noarch): open (x86-10.phx2.fedoraproject.org)
3371974 build (dist-f15, drupal7-features-1.0-0.1.beta4.fc15.src.rpm): open (ppc08.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
  3371975 buildArch (drupal7-features-1.0-0.1.beta4.fc15.src.rpm, noarch): open (x86-10.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

3371974 build (dist-f15, drupal7-features-1.0-0.1.beta4.fc15.src.rpm) completed successfully

Comment 1 Gwyn Ciesla 2011-10-04 17:28:30 UTC
Good:

- rpmlint checks return:

- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv2+ ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED.

Comment 2 Peter Borsa 2011-10-04 17:51:00 UTC
New Package SCM Request
=======================
Package Name: drupal7-features
Short Description: Provides feature management for Drupal
Owners: asrob jsmith pfrields
Branches: f15 f16 el5 el6
InitialCC:

Comment 3 Gwyn Ciesla 2011-10-04 17:59:31 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-10-04 19:47:27 UTC
drupal7-features-1.0-0.1.beta4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/drupal7-features-1.0-0.1.beta4.fc15

Comment 5 Fedora Update System 2011-10-04 19:54:27 UTC
drupal7-features-1.0-0.1.beta4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/drupal7-features-1.0-0.1.beta4.fc16

Comment 6 Fedora Update System 2011-10-04 20:02:36 UTC
drupal7-features-1.0-0.1.beta4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal7-features-1.0-0.1.beta4.el5

Comment 7 Fedora Update System 2011-10-04 20:08:46 UTC
drupal7-features-1.0-0.1.beta4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal7-features-1.0-0.1.beta4.el6

Comment 8 Fedora Update System 2011-10-13 23:55:38 UTC
drupal7-features-1.0-0.1.beta4.fc15 has been pushed to the Fedora 15 stable repository.

Comment 9 Fedora Update System 2011-10-16 00:59:40 UTC
drupal7-features-1.0-0.1.beta4.fc16 has been pushed to the Fedora 16 stable repository.

Comment 10 Fedora Update System 2011-10-27 19:04:14 UTC
drupal7-features-1.0-0.1.beta4.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 11 Fedora Update System 2011-10-27 19:04:36 UTC
drupal7-features-1.0-0.1.beta4.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.